<?php

namespace App\Modules\Booking\Application\SearchDayExcel;

use App\Modules\Booking\Domain\BookingRepository;
use App\Modules\Shared\Domain\DateEnd;
use App\Modules\Shared\Domain\DateStart;

final class BookingDayExcelSearcher
{
    public function __construct(private BookingRepository $repository) {}

    public function __invoke(
        DateStart $dateStart,
        DateEnd $dateEnd,
        $orderBy
    ) {
        return $this->repository->searchDayExcel(
            $dateStart,
            $dateEnd,
            $orderBy
        );
    }
}
